> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-11/v11-2/v11-2-0.md).

# Version 11.2.0 Changelog (2025-01-08)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

## New

**Form Builder**

* Added missing `getFieldName` and `setFieldName` methods to `WidgetAnnotation`.

**Optimize Script**

* Added new optimization script flag `useFullAPI` for improved clarity.

##

Fixes

**General**

* Fixed an issue where a Web Component WebViewer incorrectly positioned pages when `setCurrentPage` or `displayPageLocation` was called while the WebViewer was offset.
* Fixed an issue where query parameters were being ignored when loading a file via URL when using the Web Component.
* Fixed security issues with documents crafted in a particular way

**Content Edit**

* Fixed a potential CORS issue when using the Web Component version of the viewer.

**Search**

* Filtered out stale search results if a new search was started before the previous search was complete.

**Office Editor**

* Fixed an issue where mouse clicks became offset when loading single-page documents.
* Fixed an issue that grouped together multiple undo/redo actions for selected text deletion.

**Form Builder**

* Fixed an error that occurred when loading a form field without a name.

**Annotations**

* Fixed an issue where rich text styling was unintentionally overridden.

## WebViewer UI

### Fixes

**General**

* Fixed an issue where the `visibilityChanged` event fired before the element was actually visible in some instances.
* Fixed an issue where the annotation popup may cause unintentional scrolling up or left.

**Modular UI**

* Fixed an issue where the UI could end up in a bad state when switching between ribbons and refreshing the page.
* Fixed the responsiveness behavior of ribbons to prevent flickering.
* Fixed an issue where the portfolio panel was displayed for non-portfolio documents.
* Fixed TypeScript issues with grouped items.
* Fixed an issue where some files could not be selected from the multi-tab dropdown.
* Fixed an issue with translations not showing for ribbon items in a flyout.
* Fixed an issue where any UI customizations were lost when switching between Office editing and regular document viewing.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/changelogs/version-11/v11-2/v11-2-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
